<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"
         version="4.0">

<!--   所谓前端控制器 在Spring框架内 就是一个 Servlet   -->
<!--  DispatcherServlet 是Spring提供的 前端控制器  -->
<!--  他要求传入 SpringMVC 的配置档路径  -->
    <servlet>
        <servlet-name>SpringMvc</servlet-name>
        <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
        <init-param>
<!--      Springmvc配置档路径      -->
            <param-name>contextConfigLocation</param-name>
            <param-value>classpath:springmcv.xml</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
<!-- 当前 前端控制器 都控制那些个 请求 在这里配置   -->
    <servlet-mapping>
        <servlet-name>SpringMvc</servlet-name>
        <url-pattern>/</url-pattern>
    </servlet-mapping>

</web-app>